# registerResolvableDependency abstract method

void registerResolvableDependency(

1. Class type, [
2. Object? autowiredValue

])

Registers a resolvable dependency for autowiring.

This method allows you to register specific instances or values that should be injected when a dependency of the specified type is found.

## Usage Example:

    factory.registerResolvableDependency(Class<DatabaseConfig>(), productionDbConfig);
    factory.registerResolvableDependency(Class<Environment>(), Environment.production);

@param type The dependency type to register @param autowiredValue The value to inject for this dependency type

## Implementation

    void registerResolvableDependency(Class type, [Object? autowiredValue]);